//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Frame/SpecularFrame.h
//! @brief     Defines class SpecularFrame.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_FRAME_SPECULARFRAME_H
#define BORNAGAIN_GUI_VIEW_FRAME_SPECULARFRAME_H

#include "GUI/View/Access/DataAccessWidget.h"

class SpecularDataCanvas;
class SpecularDataPropertyWidget;

class SpecularFrame : public DataAccessWidget {
    Q_OBJECT
public:
    SpecularFrame(QWidget* parent = nullptr);

    void setJobOrDatafileItem(QObject* job_or_real_Item) override;

    QList<QAction*> actionList() override;

private slots:
    void onContextMenuRequest(const QPoint& point);

private:
    SpecularDataCanvas* m_specular_canvas;
    SpecularDataPropertyWidget* m_propertyWidget;
    QAction* m_togglePropertiesAction;
};

#endif // BORNAGAIN_GUI_VIEW_FRAME_SPECULARFRAME_H
